@import url(fontiran.css);

/* لینک فایلی که وظیفه بارگذاری فونت ها را برعهده دارد */

body {
    font-family: IRANSans !important;
    font-weight: 300;
    direction: rtl;
    background-color: #E2E2E2;
    margin: 0;
}

h1,
h2,
h3,
h4,
h5,
h6,
input,
textarea {
    font-family: IRANSans !important;
}

h1 {
    font-weight: bold;
}

.wrapper {
    max-width: 900px;
    margin: 0 auto;
}

.ltr {
    direction: ltr;
}

.text-right {
    text-align: right;
}

.text-center {
    text-align: center;
}

.text-left {
    text-align: left;
}

.text-small {
    font-size: 0.8em;
}

.text-xsmall {
    font-size: 0.6em;
}

.text-large {
    font-size: 1.2em;
}

.text-xlarge {
    font-size: 1.4em;
}

.text-underline {
    text-decoration: underline;
}

.text-ultralight {
    font-weight: 200;
}

.text-light {
    font-weight: 300;
}

.text-regular {
    font-weight: normal;
}

.text-medium {
    font-weight: 500;
}

.text-bold {
    font-weight: bold;
}

blockquote {
    font-weight: 500;
    padding: 10px;
    border: 1px dashed #666666;
}

.mainbox {
    width: 100%;
    background-color: #EFEFEF;
    display: table;
    margin-bottom: 30px;
    border-right: 8px solid #FFFF33;
}

.mainboxnegativ {
    width: 100%;
    background-color: #000000;
    display: table;
    margin-bottom: 30px;
    border-right: 8px solid #FFFF33;
    color: #F9F9F9;
}

.mainbox2 {
    font-size: 1em;
    width: 90%;
    padding-right: 20px;
    padding-top: 10px;
    padding-bottom: 10px;
}

.mainbox3 {
    width: 100%;
    background-color: #b8b8b8;
    display: table;
    margin-bottom: 30px;
    border-right: 8px solid #bd70ff;
}

.mainbox2negativ {
    font-size: 1em;
    color: #F9F9F9;
    background-color: #000000;
    padding-right: 20px;
}

.farsiparagraph {
    font-size: 1em;
    width: 47%;
    float: right;
    padding-right: 20px;
    padding-top: 10px;
    padding-bottom: 10px;
}

.englishparagraph {
    font-size: 1em;
    width: 47%;
    float: left;
    direction: ltr;
    padding-left: 20px;
    padding-top: 10px;
    padding-bottom: 10px;
}

.rightbox {
    width: 60%;
    padding-right: 20px;
    padding-left: 5px;
    float: right;
    margin-left: 10px;
    margin-bottom: 0px;
    min-width: 0px;
    background-color: #F7F7F7;
}

.titelbox {
    width: 60%;
    padding-right: 25px;
    padding-left: 0px;
    float: right;
    margin-left: 10px;
    margin-bottom: 0px;
    min-width: 0px;
    background-color: #F2F2F2;
    color: #4B4B4B;
}

.lefttbox {
    padding-right: 20px;
    padding-left: 4px;
    float: right;
    margin-bottom: 10px;
    min-width: 0px;
}

.alphabet {
    width: 35%;
    float: left;
    font-size: 21em;
    text-align: center;
    font-weight: 500;
    color: #999999;
}

.alphabet2 {
    width: 35%;
    float: left;
    direction: ltr;
    font-size: 1.6em;
    text-align: left;
    font-weight: 500;
    color: #333333;
    margin-top: 100px;
}

.footer {
    font-weight: 300;
    font-size: 0.7em;
    text-align: center;
    direction: ltr;
    margin-bottom: 0px;
    padding-bottom: 0px;
}

//---------------Variables
$white: #e1e8f0;
$black: #262626;
$blue: #66bbcc;
$green: #88cc00;
//---------------Mixins
@mixin transition($info) {
    -webkit-transition: $info;
    -moz-transition: $info;
    -o-transition: $info;
    transition: $info;
}

@mixin radius($radius) {
    -webkit-border-radius: $radius;
    -moz-border-radius: $radius;
    -o-border-radius: $radius;
    border-radius: $radius;
}

//---------------General styles
::-moz-selection {
    /* Code for Firefox */
    color: $white;
    background: $green;
}

::selection {
    color: $white;
    background: $green;
}

a {
    @include transition(color 0.2s);
    @include transition(background-color 0.2s);
    color: $blue;
}

a:hover {
    text-decoration: none;
    color: $green;
}

img {
    user-drag: none !important;
    user-select: none !important;
    -moz-user-select: none !important;
    -webkit-user-drag: none !important;
    -webkit-user-select: none !important;
    -ms-user-select: none !important;
}

.hvr-underline-from-right {
    display: inline-block;
    vertical-align: middle;
    -webkit-transform: perspective(1px) translateZ(0);
    transform: perspective(1px) translateZ(0);
    box-shadow: 0 0 1px transparent;
    position: relative;
    overflow: hidden;
}

.hvr-underline-from-right:before {
    content: "";
    position: absolute;
    z-index: -1;
    left: 100%;
    right: 0;
    bottom: 0;
    background: $green;
    height: 4px;
    -webkit-transition-property: left;
    transition-property: left;
    -webkit-transition-duration: 0.3s;
    transition-duration: 0.3s;
    -webkit-transition-timing-function: ease-out;
    transition-timing-function: ease-out;
}

.hvr-underline-from-right:hover:before,
.hvr-underline-from-right:focus:before,
.hvr-underline-from-right:active:before {
    left: 0;
}

.hvr-sweep-to-top {
    display: inline-block;
    vertical-align: middle;
    -webkit-transform: perspective(1px) translateZ(0);
    transform: perspective(1px) translateZ(0);
    box-shadow: 0 0 1px transparent;
    position: relative;
    -webkit-transition-property: color;
    transition-property: color;
    -webkit-transition-duration: 0.3s;
    transition-duration: 0.3s;
}

.hvr-sweep-to-top:before {
    content: "";
    position: absolute;
    z-index: -1;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: $green;
    -webkit-transform: scaleY(0);
    transform: scaleY(0);
    -webkit-transform-origin: 50% 100%;
    transform-origin: 50% 100%;
    -webkit-transition-property: transform;
    transition-property: transform;
    -webkit-transition-duration: 0.3s;
    transition-duration: 0.3s;
    -webkit-transition-timing-function: ease-out;
    transition-timing-function: ease-out;
}

.hvr-sweep-to-top:hover,
.hvr-sweep-to-top:focus,
.hvr-sweep-to-top:active {
    color: white;
}

.hvr-sweep-to-top:hover:before,
.hvr-sweep-to-top:focus:before,
.hvr-sweep-to-top:active:before {
    -webkit-transform: scaleY(1);
    transform: scaleY(1);
}

//---------------Styles
body {
    font-family: 'IRANSans';
    background-color: #f2f2f2;
    direction: rtl;
    text-align: right;
    transition: 0.1s color;
    color: $black;
}

.dropdown {
    position: relative;
    display: inline-block;
    i {
        font-size: 10px;
    }
    .dropdown-content {
        display: none;
        position: absolute;
        right: 0;
        background-color: #ffffff;
        border: 1px solid rgba(0, 0, 0, 0.05);
        min-width: 160px;
        box-shadow: 0px 2px 5px 0px rgba(0, 0, 0, 0.2);
        z-index: 10000;
        a {
            padding: 10px 10px;
            display: block;
            &:hover {
                background-color: $blue;
                color: #ffffff;
            }
        }
    }
    &:hover .dropdown-content {
        display: block;
    }
}

.logo {
    text-align: right;
    img {
        width: 52px;
    }
}

.menu {
    ul {
        list-style: none;
        display: flex;
        justify-content: space-around;
        margin: 0;
        li {
            margin-left: 5px;
            a {
                padding: 5px;
                color: $black;
                font-size: 14px;
                font-weight: normal;
                text-decoration: none;
            }
            a:hover {
                color: $green;
            }
        }
    }
}

.login {
    display: flex;
    justify-content: space-around;
    flex-direction: column;
    align-items: center;
    a {
        border: none !important;
    }
    .buttonss {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        margin-top: 5px;
        a {
            padding: 5px;
            text-align: center;
            border: $blue 2px solid; //@include radius(10px);
            font-size: 14px;
            text-decoration: none;
            display: block;
            width: 120px;
            &:first-child {
                margin-left: 5px;
            }
        }
        a.loginbtn {
            color: $blue;
            @include transition(color 0.5s);
            @include transition(border-color 0.5s);
        }
        a.loginbtn:hover {
            border-color: $green;
            color: $white;
        }
        a.registerbtn {
            background-color: $blue;
            color: $white;
            @include transition(background-color 0.5s);
            @include transition(color 0.5s);
            @include transition(border-color 0.5s);
        }
        a.registerbtn:hover {
            border-color: $green;
        }
    }
}

header.navigationbar {
    padding: 8px;
    background-color: $white;
}

.searchcontainer {
    background-image: url(../img/header.jpg);
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    background-position: center center;
    padding-top: 150px;
    padding-bottom: 150px;
    .titles {
        color: $white;
        text-align: left;
    }
    span.vline {
        border-left: 2px solid $white;
        height: 150px;
        margin-left: 25px;
        margin-right: 25px;
    }
    form.searchform {
        input {
            font-size: 14px;
            font-weight: normal;
            @include radius(40px);
            padding: 20px;
            padding-left: 65px;
            outline: none;
            border: none;
            width: 100%;
            background-color: $white;
            background-image: url(../img/search.svg);
            background-size: 20px;
            background-repeat: no-repeat;
            background-position: left +25px center;
        }
    }
}

.services {
    background-color: #ffffff;
    padding: 50px;
    h3 {
        text-align: center;
        color: $blue;
        margin-bottom: 50px;
    }
    .serviceicons {
        text-align: center;
        img {
            width: 120px;
            margin-bottom: 50px;
        }
        span {
            display: block;
        }
    }
}

.slideshow {
    padding: 0;
    #slideshow {
        .carousel-inner {
            .carousel-item {
                .caption {
                    position: absolute;
                    width: 100%;
                    bottom: 33%;
                    padding: 0;
                    text-align: center;
                    color: $white;
                    div {
                        display: inline-block;
                        margin-right: 75px;
                        text-align: right;
                        margin-top: 50px;
                        p {
                            margin: 0;
                            font-size: 1.3em;
                        }
                        h3 {
                            margin: 0;
                            font-size: 2em;
                        }
                    }
                    img {
                        width: 90px;
                        margin-bottom: 25px;
                    }
                }
            }
        }
    }
}

.newsletter {
    padding: 50px;
    background: -moz-linear-gradient(45deg, rgba(136, 203, 1, 1) 0%, rgba(0, 204, 237, 1) 100%);
    background: -webkit-gradient(linear, left bottom, right top, color-stop(0%, rgba(136, 203, 1, 1)), color-stop(100%, rgba(0, 204, 237, 1)));
    background: -webkit-linear-gradient(45deg, rgba(136, 203, 1, 1) 0%, rgba(0, 204, 237, 1) 100%);
    background: -o-linear-gradient(45deg, rgba(136, 203, 1, 1) 0%, rgba(0, 204, 237, 1) 100%);
    background: -ms-linear-gradient(45deg, rgba(136, 203, 1, 1) 0%, rgba(0, 204, 237, 1) 100%);
    background: linear-gradient(45deg, rgba(136, 203, 1, 1) 0%, rgba(0, 204, 237, 1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00cced', endColorstr='#88cb01', GradientType=1);
    .nlinput {
        width: 50%;
        height: 50px;
        padding: 5px;
        background: $white;
        @include radius(25px);
        display: flex;
        justify-content: space-between;
        -webkit-box-shadow: 0 0 7px 2px rgba(0, 0, 0, 0.2);
        box-shadow: 0 0 7px 2px rgba(0, 0, 0, 0.2);
        input.email {
            width: 70%;
            background-color: transparent;
            border: none;
            outline: none;
            padding-right: 10px;
        }
        input.btn {
            @include radius(25px);
            margin-left: 0;
            background-color: $blue;
            color: $white;
            cursor: pointer;
        }
        input.btn:hover {
            -webkit-box-shadow: 0 0 5px 1px rgba(0, 0, 0, 0.2);
            box-shadow: 0 0 5px 1px rgba(0, 0, 0, 0.2);
        }
    }
}

footer {
    background-color: $white;
    padding: 50px;
    ul.footernav {
        margin-bottom: 0;
        padding: 0;
        list-style: none;
        li {
            margin-bottom: 10px;
            img {
                width: 22px;
            }
            a {
                color: $black;
                margin-right: 5px;
                @include transition(margin 0.2s);
                text-decoration: none;
            }
            a:hover {
                margin-right: 10px;
            }
        }
        li:last-child {
            margin-bottom: 0;
        }
    }
    .footerabout {
        h4 {
            font-weight: bold;
        }
        p {
            text-align: justify;
            font-size: 14px;
        }
    }
    .footersocial {
        text-align: center;
        .social {
            display: flex;
            justify-content: space-between;
            margin-bottom: 20px;
            a {
                img {
                    width: 48px;
                    height: 48px;
                }
            }
        }
        .appstore {
            margin-bottom: 5px;
            display: flex;
            justify-content: space-between;
            flex-wrap: wrap;
            a {
                margin-bottom: 10px;
                img {
                    width: 150px;
                }
            }
        }
        span {
            font-size: 14px;
        }
    }
}

.bordergrade {
    height: 5px;
    background: -moz-linear-gradient(45deg, rgba(136, 203, 1, 1) 0%, rgba(0, 204, 237, 1) 100%);
    background: -webkit-gradient(linear, left bottom, right top, color-stop(0%, rgba(136, 203, 1, 1)), color-stop(100%, rgba(0, 204, 237, 1)));
    background: -webkit-linear-gradient(45deg, rgba(136, 203, 1, 1) 0%, rgba(0, 204, 237, 1) 100%);
    background: -o-linear-gradient(45deg, rgba(136, 203, 1, 1) 0%, rgba(0, 204, 237, 1) 100%);
    background: -ms-linear-gradient(45deg, rgba(136, 203, 1, 1) 0%, rgba(0, 204, 237, 1) 100%);
    background: linear-gradient(45deg, rgba(136, 203, 1, 1) 0%, rgba(0, 204, 237, 1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00cced', endColorstr='#88cb01', GradientType=1);
}

.hamwrap {
    #hambtn {
        img {
            width: 30px;
        }
    }
}

.hiddenelement {
    display: none;
}

.mobilemenu {
    position: sticky;
    top: 80px;
    border-top: 1px solid rgba(38, 38, 38, 0.3);
    width: 100%;
    z-index: 1500;
    ul {
        background-color: $white;
        padding: 0;
        list-style: none;
        margin: 0;
        li {
            a {
                display: block;
                text-align: center;
                padding: 10px 0;
                border-bottom: 1px solid rgba(38, 38, 38, 0.1);
                &:active {
                    background-color: $blue;
                    color: #ffffff;
                }
            }
            &:last-child {
                a {
                    border: none;
                }
            }
        }
    }
}

.pagecontent {
    background-color: #ffffff;
    margin-top: 25px;
    margin-bottom: 25px;
    @include radius(3px);
    box-shadow: 0 1px 1px 1px rgba(80, 80, 80, 0.1);
    padding-top: 15px;
    padding-bottom: 15px;
    .contentinfo {
        display: flex;
        flex-direction: row;
        justify-content: flex-start;
        align-items: center;
        .infoimage {
            margin-left: 15px;
            img {
                height: 64px;
            }
        }
        .infodescription {
            h5 {
                color: $black;
            }
            h7 {
                color: $blue;
            }
        }
    }
    small {
        margin-right: 15px;
    }
    select.form-control {
        padding-bottom: 4px;
        padding-top: 4px;
    }
    .formsubmit {
        background-color: $green;
        border-color: #7eb906;
        margin-top: 15px;
        cursor: pointer;
        &:hover {
            background-color: #7eb906;
        }
    }
    p {
        color: $black;
        line-height: 30px;
    }
    ul.faqul {
        list-style: none;
        padding: 0;
        margin: 0;
        li {
            padding-right: 5px;
            strong {
                display: block;
            }
            p {
                border-right: 3px solid $green;
                margin-right: 10px;
                padding-right: 10px;
                margin-top: 5px;
                line-height: normal;
                font-size: 14px;
            }
        }
    }
    form.contactform {
        background-color: $white;
        border: 1px solid #cfcfcf;
        padding: 10px;
        @include radius(3px);
        .form-group:last-child {
            margin-bottom: 0;
        }
    }
    ul.contactul {
        padding: 0;
        margin: 0;
        list-style: none;
        li {
            h5 {
                color: $black;
            }
            margin-bottom: 25px;
            &:last-child {
                margin-bottom: 0;
            }
            i {
                font-style: normal;
                display: block;
                color: $black;
            }
        }
    }
    .emptystate {
        color: $black;
        opacity: 0.3;
    }
    .btngroup {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        margin-bottom: 15px;
        a {
            flex: 1;
            display: block;
            background: $white;
            text-align: center;
            margin-left: 20px;
            padding: 10px;
            @include radius(3px);
            &:last-child {
                margin-left: 0;
            }
            &.active {
                background-color: $green;
                color: #ffffff;
            }
            &:hover {
                background-color: $blue;
                color: #ffffff;
            }
        }
    }
    .cartcontent {
        padding: 5px 10px;
    }
    .profilecont {
        background-color: rgba(0, 0, 0, 0.03);
        border: 1px solid rgba(0, 0, 0, 0.125);
        @include radius(3px);
        padding: 5px 10px;
        margin: 0;
    }
    table {
        direction: rtl;
        text-align: center;
        th {
            direction: rtl;
            text-align: center;
            background-color: rgba(0, 0, 0, 0.05);
        }
        td {
            vertical-align: middle;
        }
        .tablelocation {
            display: flex;
            flex-direction: row;
            justify-content: center;
            align-items: center;
            margin-bottom: 10px;
            span {
                color: $black;
            }
        }
    }
}

.registerpagecontent {
    .contentinfo {
        display: block;
    }
    .infodescription {
        h5 {
            text-align: center;
        }
    }
    form {
        input {
            text-align: center;
        }
        .regsubmit {
            background-color: $blue;
        }
        .regsubmit:hover {
            background-color: #4ea0b1;
        }
    }
}

//---------------Media Queries
//---------------Tablet
@media screen and (max-width: 766px) and (min-width: 480px) {
    .menu {
        ul {
            margin: 10px;
            padding: 0;
            li {
                a {
                    font-size: 12px;
                }
            }
        }
    }
    .login {
        .buttonss {
            display: flex !important;
            flex-direction: row;
            justify-content: space-between;
            a {
                margin: 5px;
            }
        }
    }
    .searchcontainer {
        padding-top: 50px;
        padding-bottom: 50px;
        .titles {
            text-align: center;
        }
        span.vline {
            display: none;
        }
    }
    .serviceicons {
        margin-bottom: 50px !important;
        img {
            margin-bottom: 15px !important;
        }
    }
    .newsletter {
        .nlinput {
            width: 75%;
            input.email {
                width: 60%;
            }
        }
    }
    .slideshow {
        #slideshow {
            .carousel-inner {
                .carousel-item {
                    .caption {
                        bottom: 13%;
                        div {
                            display: inline-block;
                            margin-right: 25px;
                            text-align: right;
                            margin-top: 50px;
                            p {
                                margin: 0;
                                font-size: 1em;
                            }
                            h3 {
                                margin: 0;
                                font-size: 1.1em;
                            }
                        }
                        img {
                            width: 60px;
                            margin-bottom: 25px;
                        }
                    }
                }
            }
        }
    }
    .footernav {
        padding-right: 25px !important;
    }
    .footersocial .social {
        justify-content: center !important;
        a {
            margin: 5px;
        }
    }
    .footersocial,
    .footernav,
    .footerabout {
        margin-bottom: 25px !important;
    }
}

//---------------Phone
@media screen and (max-width: 480px) {
    .logo {
        text-align: left;
    }
    .login {
        justify-content: center;
        a {
            margin: 5px;
        }
    }
    .searchcontainer {
        padding-top: 25px;
        padding-bottom: 25px;
        .titles {
            text-align: center;
            h1 {
                font-size: 2em;
            }
            h5 {
                font-size: 1em;
            }
        }
        span.vline {
            display: none;
        }
    }
    .serviceicons {
        margin-bottom: 50px !important;
        img {
            margin-bottom: 15px !important;
        }
    }
    .newsletter {
        .nlinput {
            width: 100%;
            input.email {
                width: 55%;
            }
            input.btn {
                width: 40%;
                font-size: 10px;
            }
        }
    }
    .slideshow {
        #slideshow {
            .carousel-inner {
                .carousel-item {
                    .caption {
                        bottom: 35%;
                        div {
                            display: inline-block;
                            margin-right: 25px;
                            text-align: right;
                            margin-top: 50px;
                            p {
                                margin: 0;
                                font-size: 1em;
                            }
                            h3 {
                                margin: 0;
                                font-size: 1.1em;
                            }
                        }
                        img {
                            width: 60px;
                            margin-bottom: 25px;
                            display: none;
                        }
                    }
                }
            }
        }
    }
    footer {
        padding-bottom: 10px;
        padding-top: 10px;
    }
    .footernav {
        margin-right: 10px;
    }
    .footersocial,
    .footernav,
    .footerabout {
        margin-bottom: 25px !important;
    }
}
